summaryrefslogtreecommitdiff
path: root/gdb/contrib
diff options
context:
space:
mode:
authorDoug Evans <dje@google.com>2013-03-25 22:53:54 +0000
committerDoug Evans <dje@google.com>2013-03-25 22:53:54 +0000
commitdd719f6543bb928eb8ded7d4b185fe4f93065f52 (patch)
tree616b712d79166d63379e584bc15f96d8688b536d /gdb/contrib
parent08b2773ea95d8fb09a7dab5838f86f6e24b03bfd (diff)
downloadgdb-dd719f6543bb928eb8ded7d4b185fe4f93065f52.tar.gz
* contrib/cc-with-tweaks.sh: Check exit code of dwp.
Diffstat (limited to 'gdb/contrib')
-rwxr-xr-xgdb/contrib/cc-with-tweaks.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/gdb/contrib/cc-with-tweaks.sh b/gdb/contrib/cc-with-tweaks.sh
index f012c28bffc..c03d87f4707 100755
--- a/gdb/contrib/cc-with-tweaks.sh
+++ b/gdb/contrib/cc-with-tweaks.sh
@@ -180,6 +180,8 @@ if [ "$want_dwp" = true ]; then
dwo_files=$($READELF -wi "${output_file}" | grep _dwo_name | \
sed -e 's/^.*: //' | sort | uniq)
$DWP -o "${output_file}.dwp" ${dwo_files} > /dev/null
+ rc=$?
+ [ $rc != 0 ] && exit $rc
rm -f ${dwo_files}
fi